jwillyf

Installation of GTN Complete to work with P3D v4.5

Recommended Posts

I have just completed a clean install of P3D v 4.5.12. My reading suggested that I needed to update my F1 GTN Complete to avoid CTDs.

To this end, I downloaded GTN PC Trainer 6.50.1.

It has appeared to install correctly but now in planes like the Milviz DHC 3, the the box/surround for the 750 is showing in the cockpit but it is blacked out and showing no screen whereas it worked correctly previously. It does not power up.The GTN 750/650 are configured in MVAMS.

In the A2A Beechcraft V tail, the GTN 750 does not show as one of the possible GPS devices of choice.

Has anyone any advice?

Thanks

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

@jwillyf Hi,

As I recall, I used the F1 Update tool, selected GTN Complete and it updated in a blink of an eye. You will find it under Flight One in the Windows Start menu.

Mike

  • Upvote 1

Share this post


Link to post

The Garmin trainer you have installed is the latest, however which version of the  GTN750 did you install,

 

bob

Share this post


Link to post
Posted (edited)

Cruachan is right, use the F1 Update tool, it is required. 

Edited by jimcarrel

Share this post


Link to post

I tried that but the most recent version of P3D listed  in supported simulator versions was 3.4.9?

Share this post


Link to post

Did you install GTN Complete v 2.10?  It needs that one; that "update" tool just updates config files, not the program.  So you need to d/l v2.10 from the store and install it.

 

Share this post


Link to post

I have looked on my orders page on Flight 1 and confirmed that I bought Flight 1 GTN Complete edition in Oct 9th 2017. I believe I should be eligible for the upgrade to GTN Complete v 2.1 free of charge. I have sent a ticket to Flight 1 to request and confirm this and to receive a link to the download.

Thanks for your help. I will keep you up to date with developments

Share this post


Link to post

You can just download it right from the store, then when you install you put either your license key or email/passwd and it goes

It's 2.10 not 2.1 just to be sure.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now